#!/bin/sh

if [ "$1" == '-h' -o "$1" == '--help' ]; then
  echo 'Usage: asynRecord.sh [PV_PREFIX ASYN_RECORD_DEVICE]'
  echo 'Parameters:'
  echo '  PV_PREFIX           PV name prefix (default: "sim17bm:")'
  echo '  ASYN_RECORD_DEVICE  Name of asyn record device (default: '
  echo '                      "asyn_ipClient1")'
  echo 'Example: asynRecord.sh'
  echo 'Example: asynRecord.sh sim17bm: asyn_ipClient1'
  exit 0
fi

pvPrefix=sim17bm:
if [ "$1" != '' ]; then pvPrefix="$1"; fi
asynRecordDevice=asyn_ipClient1
if [ "$2" != '' ]; then asynRecordDevice="$2"; fi

medm -x -macro "P=$pvPrefix,R=$asynRecordDevice" asynRecord.adl &> /dev/null
